<div class="container p-3">
  <div class="row">
    <div class="col">
      <%= link_to("<< Back to List", products_path(:id=> @product.user.id)) %>
    </div>
    <div class="col-8">
      <h2>Show Product</h2>
    </div>
  </div> 
  
  <div class="table-responsive">
    <table class="table table-striped">
      <tr>
        <th>User ID</th>
        <td><%= @product.user_id %></td>
      </tr>
      <tr>
        <th>Title</th>
        <td><%= @product.title %></td>
      </tr>
      <tr>
        <th>Images</th>
        <td>
          <ul class="list-unstyled">
            <% if @product.images.attached? %>
              <% @product.images.each do |image| %>
              <li>
                  <%= image_tag image, width:"200px" %>  
              </li>
              <% end %>
            <% end %>
          </ul>
        </td>
      </tr>
      <tr>
        <th>Quantity</th>
        <td><%= @product.quantity %></td>
      </tr>
      <tr>
        <th>Price</th>
        <td><%= @product.price %></td>
      </tr>
      <tr>
        <th>Description</th>
        <td><%= @product.description %></td>
      </tr>    
      <tr>
        <th>Created</th>
        <td><%= @product.created_at %></td>
      </tr>
      <tr>
        <th>Updated</th>
        <td><%= @product.updated_at %></td>
      </tr>
    </table>
  </div>
</div>
